Subject: Re: B20: BUG in gmake (NT and 95)
From: Chris Faylor <[email-masked]>
To: "Groove, Christian" <[email-masked]>
Cc: [email-masked]
Date: Sat, 11 Sep 1999 15:59:56 -0400

I don't see this problem using a current snapshot so possibly it's fixed.

On Wed, Sep 01, 1999 at 04:43:20PM +0200, Groove, Christian wrote:
>I found a BUG in gmake while calling the shell function.
>The bug may appear only on N(ew)T(rash) and on 95.
>
>In my makefile, i have the following assignment:
>
>	SPECIAL_SOURCE=$(shell echo magic ; echo tragic)
>
>	check:
>		@echo $(SPECIAL_SOURCE)
>
>
>Calling make check would print out only "tragic". I guess the 
>magic has been overwritten, because of a \r, that toss back
>the internal write pointer back to the initial position.
>
>Iff you exchange the assignment by a
>
>	SPECIAL_SOURCE=`echo magic ; echo tragic`
>
>everything works fine. I can not promise to fix it, cause i am running
>out of time with my project.
>
>Groovie
>
>Christian Groove
>NorCom Systems Technology GmbH
>81929 München
>Stefan-George-Ring 29
>Tel: + 49 89 93948 271
>Fax:+ 49 89 93948 111
>mailto:[email-masked]
>
>
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>

-- 
[email-masked]
http://www.cygnus.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]